<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum CashTransactionType: string
{
    use HasValues;

    case DEPOSIT = 'deposit';
    case EXPENSE = 'expense';
    case TRANSFER = 'transfer';
    case WITHDRAWAL = 'withdrawal';

    public function label(): string
    {
        return match ($this) {
            self::DEPOSIT => 'Setoran',
            self::EXPENSE => 'Pengeluaran',
            self::TRANSFER => 'Transfer',
            self::WITHDRAWAL => 'Penarikan',
        };
    }
}
